
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#include <moof/opengl.hh>

#include "GameLayer.hh"
#include "TitleLayer.hh"


void TitleLayer::did_add_to_view()
{
	mFadeIn.init(0.0, 1.0, 0.1);

	//mGameLayer = GameLayer::alloc();
}

void TitleLayer::update(moof::scalar t, moof::scalar dt)
{
	mFadeIn.update(t, dt);
	moof::view::update(t, dt);
}

void TitleLayer::draw(moof::scalar alpha) const
{
	glClearColor(0.0, 0.0, mFadeIn.state(alpha), 1.0);
	glClear(GL_COLOR_BUFFER_BIT);
	moof::view::draw(alpha);
}

bool TitleLayer::handle_event(const moof::event& event)
{
	if (moof::view::handle_event(event)) return true;

	switch (event.type)
	{
		case SDL_KEYUP:
			if (event.key.keysym.sym == SDLK_ESCAPE)
			{
				parent().stop();
				return true;
			}

			mGameLayer = GameLayer::alloc();
			parent().add_child(mGameLayer);

			parent().remove_child(this);

			//moof::lerp_scalar interp(0.1);
			//interp.init(0.0, 1.0);

			//moof::Transition<moof::lerp_scalar>::Ptr transition =
				//moof::Transition<moof::lerp_scalar>::alloc(mGameLayer, titleLayer,
												//interp);

			return true;
	}

	return false;
}

