
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _TITLELAYER_HH_
#define _TITLELAYER_HH_

#include <boost/shared_ptr.hpp>

#include <moof/interpolator.hh>
#include <moof/math.hh>
#include <moof/view.hh>


class TitleLayer;
typedef boost::shared_ptr<TitleLayer> TitleLayerP;

class TitleLayer : public moof::view
{
public:

	static TitleLayerP alloc()
	{
		return TitleLayerP(new TitleLayer);
	}

	void did_add_to_view();

	void update(moof::scalar t, moof::scalar dt);
	void draw(moof::scalar alpha) const;
	bool handle_event(const moof::event& event);

private:

	moof::lerp_scalar 		mFadeIn;
	moof::view_ptr		mGameLayer;
};


#endif // _TITLELAYER_HH_

