
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#include "frustum.hh"
#include "opengl.hh"
#include "sphere.hh"


namespace moof {


void sphere::enclose_vertices(const vector3 vertices[], unsigned count)
{
	// TODO
}

void sphere::draw(scalar alpha) const
{
	GLUquadricObj* sphereObj = gluNewQuadric();
	gluQuadricDrawStyle(sphereObj, GLU_LINE);

	glPushMatrix();

	//glTranslate(point[0], point[1], point[2]);
	glTranslate(point);
	gluSphere(sphereObj, (GLdouble)radius, 16, 16);

	glPopMatrix();

	gluDeleteQuadric(sphereObj);
}

bool sphere::is_visible(const frustum& frustum) const
{
	return frustum.contains(*this);
}


} // namespace moof

