
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _MOOF_STRING_HH_
#define _MOOF_STRING_HH_

/**
 * \file string.hh
 * Functions related to string manipulations.
 */

#include <string>


namespace moof {


using std::string;
using std::wstring;


/**
 * Convert a multi-byte (UTF-8) string to a wide string.
 * \param multi The multi-byte string to convert.
 * \return The equivalent wide string.
 */
wstring multi_to_wide(const string& multi);

/**
 * Convert a wide string to a multi-byte (UTF-8) string.
 * \param wide The wide string to convert.
 * \return The equivalent multi-byte string.
 */
string wide_to_multi(const wstring& wide);


} // namespace moof


#endif // _MOOF_STRINGTOOLS_HH_

